package com.bocloud.cmp.provider.storage;

import com.bocloud.cmp.model.OsdModel;
import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;

/**
 * osd操作接口
 *
 * @author weiwei
 */
public interface OsdProvider extends SuperProvider {
    default public BocloudResult list() {
        return new BocloudResult(false, "need implemented");
    }

    ;

    public BocloudResult start(String osdId, String target);

    public BocloudResult stop(String osdId, String target);

    public BocloudResult restart(String osdId, String target);

    default public BocloudResult create(OsdModel osdModel) {
        return new BocloudResult(false, "need implemented");
    }

    ;

    default public BocloudResult modify(OsdModel osdModel) {
        return new BocloudResult(false, "need implemented");
    }

    ;

    default public BocloudResult remove(OsdModel osdModel) {
        return new BocloudResult(false, "need implemented");
    }

    ;
}
